/* -------------
    SOMMAIRE
------------- */

/*
    @AUTHOR : Nicolas BOUDOT

    ATOME : BUTTON
    Styles des boutons
*/

/*
    00 - GÉNÉRAL
        Bouton par défaut
        Bouton avec icon
        Bouton avec icon seulement
    01 - MODIFIER
        Couleurs
            Gris
            Thème
        Size
    02 - WYSIWYG
    03 - SPÉCIFIQUES
        Bouton burger
        Bouton close
        Scroll Top
        Bouton link
*/



/* -------------------------
    00 - GÉNÉRAL
        Bouton par défaut
------------------------- */

/*
    Infos :
        1. On utilise la classe .atom_button pour établier les règles de bases. On lui applique toutes les propriétés
            car cela peut aussi s'appliquer sur des éléments dont on a pas la main et ainsi surcharger les styles.
            Ce bouton sera celui de base et donc celui le plus répandu sur tout le site.
        2. .parent_atom_button est utilisée sur un élement parent pour ciblée un <a> enfant.
            On utilise un préfixe .parent_* pour mieux identifier son utilité.
*/

/* WooCommerce */
.wc-block-components-button.components-button:not(.wc-block-components-drawer__close),
.woocommerce a.button.alt,
.woocommerce a.button,
.woocommerce button.button.alt.disabled,
.woocommerce button.button.alt,
.woocommerce button.button,

/* Gravity Form */
.gform_button_select_files,
.gform_button,

/* Choisir un fichier */
input[type="file"]::-webkit-file-upload-button,

.parent_atom_button a,
.atom_button {
    cursor: pointer;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    background-color: var(--c-quaternary);
    color: var(--c-primary);
    border: 1px solid var(--c-quaternary);
    border-radius: var(--br);
    box-shadow: none;
    font-size: 1.6rem;
    font-weight: 700;
    text-align: center;
    text-decoration: none;
    margin: 0;
    /* padding: 6px 24px; */
    padding: var(--p);
    transition: background-color .4s, color .4s, border-color .4s;
}

    /* Hover */

    /* WooCommerce */
    .woocommerce button.button.alt.disabled:hover,
    .woocommerce button.button.alt:hover,
    .woocommerce button.button:hover,

    /* Gravity Form */
    .gform_button:hover,

    .atom_button:hover {
        background-color: var(--c-tertiary);
        color: var(--c-quaternary);
        border: 1px solid var(--c-tertiary);
    }

    /* Frères */
    @media (max-width: 991px) {
        .atom_button + .atom_button {
            margin-top: 5px;
        }
    }



/* -------------------------
    00 - GÉNÉRAL
        Bouton avec icon
------------------------- */

.atom_button-icon {
    cursor: pointer;
    position: relative;
    display: inline-block;
    background-color: var(--c-tertiary);
    color: var(--white);
    border: none;
    font-size: 1.6rem;
    font-weight: 700;
    padding: 15px 60px 40px;
}

    @media (min-width: 992px) {
        .atom_button-icon {
            padding: 12px 30px;
        }
    }

    /* Icon + */
    .atom_button-icon::after {
        content: "\e918";
        position: absolute;
        top: 100%;
        right: 50%;
        font-family: 'icomoon';
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: var(--c-primary);
        color: var(--white);
        border-radius: 50%;
        width: 50px;
        height: 50px;
        transform: translate(50%, -50%);
    }

        @media (min-width: 992px) {
            .atom_button-icon::after {
                top: 50%;
                right: 0;
            }
        }

.atom_button-icon > span {
    text-decoration: underline;
}



/* --------------------------------
    00 - GÉNÉRAL
        Bouton avec icon seulement
-------------------------------- */

.atom_button-icon-only {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--c-primary);
    color: var(--white);
    font-size: 1.8rem;
    border-radius: 50%;
    width: 50px;
    height: 50px;
}



/* -----------------
    01 - MODIFIER
        Couleurs
            Gris
----------------- */

.atom_button--hover--gray-100:hover,
.atom_button--gray-100 {
    background-color: var(--gray-100);
    color: var(--black);
}

.atom_button--hover--gray-200:hover,
.atom_button--gray-200 {
    background-color: var(--gray-200);
    color: var(--black);
}

.atom_button--hover--gray-300:hover,
.atom_button--gray-300 {
    background-color: var(--gray-300);
    color: var(--black);
}

.atom_button--hover--gray-400:hover,
.atom_button--gray-400 {
    background-color: var(--gray-400);
    color: var(--black);
}

.atom_button--hover--gray-500:hover,
.atom_button--gray-500 {
    background-color: var(--gray-500);
    color: var(--black);
}

.atom_button--hover--gray-600:hover,
.atom_button--gray-600 {
    background-color: var(--gray-600);
    color: var(--black);
}

.atom_button--hover--gray-700:hover,
.atom_button--gray-700 {
    background-color: var(--gray-700);
    color: var(--white);
}

.atom_button--hover--gray-800:hover,
.atom_button--gray-800 {
    background-color: var(--gray-800);
    color: var(--white);
}

.atom_button--hover--gray-900:hover,
.atom_button--gray-900 {
    background-color: var(--gray-900);
    color: var(--white);
}



/* -----------------
    01 - MODIFIER
        Couleurs
            Thème
----------------- */

.atom_button--hover--white:hover,
.atom_button--white {
    background-color: var(--white);
    color: var(--c-primary);
    border: 1px solid var(--c-primary);
}

.atom_button--hover--primary:hover,
.atom_button--primary {
    background-color: var(--c-primary);
    color: var(--white);
}

.atom_button--hover--secondary:hover,
.atom_button--secondary {
    background-color: var(--c-secondary);
    color: var(--white);
}

.atom_button--hover--tertiary:hover,
.atom_button--tertiary {
    background-color: transparent;
    color: var(--white);
    border-color: var(--white);
}

    /* Hover */
    .atom_button--tertiary:hover {
        background-color: transparent;
        color: var(--c-secondary);
        border-color: var(--c-secondary);
    }

.atom_button--hover--quaternary:hover,
.atom_button--quaternary {
    background-color: var(--c-quaternary);
    color: var(--white);
}

.atom_button--hover--quinary:hover,
.atom_button--quinary {
    background-color: var(--c-quinary);
    color: var(--white);
}

.atom_button--hover--senary:hover,
.atom_button--senary {
    background-color: var(--c-senary);
    color: var(--white);
}

.atom_button--hover--septenary:hover,
.atom_button--septenary {
    background-color: var(--c-septenary);
    color: var(--c-primary);
}

.atom_button--hover--octonary:hover,
.atom_button--octonary {
    background-color: var(--c-octonary);
    color: var(--white);
}

.atom_button--hover--nonary:hover,
.atom_button--nonary {
    background-color: var(--c-nonary);
    color: var(--white);
}

.atom_button--hover--decenary:hover,
.atom_button--decenary {
    background-color: var(--c-decenary);
    color: var(--white);
}

.card-produit,
.card-produit__titre,
.card-produit__titre__texte,
.card-produit__titre__texte__bouton,
.prefixe_card-produit__titre__texte__bouton,
.prefixe-compose_card-produit__titre__texte__bouton {
    color: var(--white);
}



/* -----------------
    01 - MODIFIER
        Size
----------------- */

.atom_button--xsmall {
    font-size: 1.1rem;
    font-weight: 600;
    padding: 2px 8px;
}

.atom_button--small {
    font-size: 1.1rem;
    font-weight: 600;
    padding: 6px 12px;
}

.atom_button--large {
    font-size: 1.4rem;
    font-weight: 600;
    padding: 12px 50px;
}



/* -----------------
    02 - WYSIWYG
----------------- */

p:has(+ p > .atom_button) {
    margin-bottom: 10px;
}



/* ---------------------
    03 - SPÉCIFIQUES
        Bouton burger
--------------------- */

.atom_button-burger {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    margin-left: auto;
    width: 40px;
}

/* Général */
.atom_button-burger span::before,
.atom_button-burger span::after,
.atom_button-burger span {
    display: block;
    background-color: var(--gray-700);
    height: 4px;
    width: 100%;
}

/* Barre du milieu */
.atom_button-burger span {
    position: relative;
    display: block;
    margin-right: 12px;
    transition: background-color .4s;
}

    /* Active */
    .atom_button-burger.active span {
        background-color: transparent;
    }

    /* 1ère et 3ème barre */
    .atom_button-burger span::after,
    .atom_button-burger span::before {
        content: "";
        position: absolute;
        transition: transform .4s;
    }

        /* 1ère barre */
        .atom_button-burger span::before {
            bottom: calc(100% + 6px);
        }

            /* Active */
            .atom_button-burger.active span::before {
                transform: translateY(calc(100% + 6px)) rotate(45deg);
            }

        /* 3ème barre */
        .atom_button-burger span::after {
            top: calc(100% + 6px);
        }

            /* Active */
            .atom_button-burger.active span::after {
                transform: translateY(calc(-100% - 6px)) rotate(-45deg);
            }



/* ---------------------
    03 - SPÉCIFIQUES
        Bouton close
--------------------- */

.atom_button-close {
    display: flex;
    justify-content: flex-end;
    padding: 25px;
    font-size: 2.1rem;
}



/* ---------------------
    03 - SPÉCIFIQUES
        Search Mobile
--------------------- */

.atom_button-search-mobile {
    display: flex;
    align-items: center;
    justify-content: center;
    border-right: 1px solid var(--gray-500);
    margin-right: 12px;
    padding: 3px 6px;
    padding-right: 12px;
    font-size: 1.6rem;
    transform: none;
}

    @media (min-width: 992px) {
        .atom_button-search-mobile {
            display: none;
        }
    }



/* ---------------------
    03 - SPÉCIFIQUES
        Scroll Top
--------------------- */

.atom_button-scroll-top {
    position: absolute;
    right: 30px;
    bottom: 30px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    color: var(--gray-400);
    border: 3px solid var(--gray-400);
    border-radius: 50%;
    font-weight: 400;
    line-height: 1;
    text-decoration: none;
    padding: 15px;
    transform: rotate(-90deg);
    z-index: 1;
}

    @media (max-width: 991px) {
        .atom_button-scroll-top {
            right: 20px;
            bottom: 70px;
        }
    }

    /* Before */
    .atom_button-scroll-top::before {
        content: "\e90d";
        font-family: 'icomoon';
        font-size: 2.5rem;
        transition: color .4s, transform .4s;
    }

        /* Hover */
        .atom_button-scroll-top:hover::before {
            content: "\e90d";
            color: var(--c-primary);
            transform: translateX(6px);
        }



/* ---------------------
    03 - SPÉCIFIQUES
        Bouton link
--------------------- */

.atom_button-link {
    position: relative;
    color: var(--c-secondary);
    font-size: 1.4rem;
    font-weight: 300;
    text-decoration: none;
}

    .atom_button-link::after {
        content: "";
        position: absolute;
        top: calc(100% + 3px);
        left: 0;
        background-color: #707070;
        width: 70%;
        height: 1px;
        transition: width .2s;
    }

    /* Hover */
    .atom_button-link:hover::after {
        width: 100%;
    }
